### Method

# FwupdPlugin ProcessorDevice needs_mitigation

since: 2.1.1

#### Declaration [src]

    gboolean
    fu_processor_device_needs_mitigation (
      FuProcessorDevice* self,
      FuProcessorMitigationFlags mitigation_flag
    )

#### Description [src]

Returns if the CPU needs a specific mitigation.

Available since: 2.1.1

#### Parameters

`mitigation_flag`

  Type: `FuProcessorMitigationFlags`

  A `FuProcessorMitigationFlags`, e.g. `FU_PROCESSOR_MITIGATION_FLAG_GDS`.

#### Return value

Type: `gboolean`

`TRUE` if required.